Raspbian Jessi apt-get install python2.7-minimale Konfiguration-Fehler

Habe ich Raspbian installiert Jessi mit Seafile, die abhängig ist von python2.7, installiert als Teil dieses Prozesses selbst. Es war in Ordnung arbeiten für Wochen, wenn es wurde im headless-Modus. Nach Ausführung manuell über ssh

sudo apt-get update && sudo apt-get upgrade

den update-Vorgang bricht mit einer Konfiguration von python2.7-minimal. der Ausgang war:

sudo apt-get install python2.7 python2.7-minimal
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following package was automatically installed and is no longer required:
  libpython-stdlib
Use 'apt-get autoremove' to remove it.
Suggested packages:
  python2.7-doc binfmt-support
The following NEW packages will be installed:
  python2.7 python2.7-minimal
0 upgraded, 2 newly installed, 0 to remove and 3 not upgraded.
Need to get 0 B/1,402 kB of archives.
After this operation, 3,595 kB of additional disk space will be used.
y
Selecting previously unselected package python2.7-minimal.
(Reading database ... 107629 files and directories currently installed.)
Preparing to unpack .../python2.7-minimal_2.7.9-2+deb8u1_armhf.deb ...
Unpacking python2.7-minimal (2.7.9-2+deb8u1) ...
Selecting previously unselected package python2.7.
Preparing to unpack .../python2.7_2.7.9-2+deb8u1_armhf.deb ...
Unpacking python2.7 (2.7.9-2+deb8u1) ...
Processing triggers for man-db (2.7.0.2-5) ...
Processing triggers for gnome-menus (3.13.3-6) ...
Processing triggers for desktop-file-utils (0.22-1) ...
Processing triggers for mime-support (3.58) ...
Setting up python2.7-minimal (2.7.9-2+deb8u1) ...
Sorry: TypeError: compile() expected string without null bytesdpkg: error processing package python2.7-minimal (--configure):
 subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of python2.7:
 python2.7 depends on python2.7-minimal (= 2.7.9-2+deb8u1); however:
  Package python2.7-minimal is not configured yet.

dpkg: error processing package python2.7 (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 python2.7-minimal
 python2.7
E: Sub-process /usr/bin/dpkg returned an error code (1)

Ich habe versucht, mehrere Kombinationen von apt-get remove/purge, dpkg-reconfigure usw aber der Fehler ist hartnäckig.

Andere Sache:

apt-cache policy python2.7-minimal python2.7
python2.7-minimal:
  Installed: 2.7.9-2+deb8u1
  Candidate: 2.7.9-2+deb8u1
  Version table:
 *** 2.7.9-2+deb8u1 0
        500 http://mirrordirector.raspbian.org/raspbian/ jessie/main armhf Packages
        100 /var/lib/dpkg/status
python2.7:
  Installed: 2.7.9-2+deb8u1
  Candidate: 2.7.9-2+deb8u1
  Version table:
 *** 2.7.9-2+deb8u1 0
        500 http://mirrordirector.raspbian.org/raspbian/ jessie/main armhf Packages
        100 /var/lib/dpkg/status

Ich bin kein Anfänger aber auch kein Experte mit Linux im Allgemeinen. Sagen Sie mir, wenn Sie weitere information brauchen um diese Frage zu beantworten. Bitte helfen, weil ich bin müde des Kampfes gegen Sachen wie diese.

InformationsquelleAutor mojjj | 2016-10-26



One Reply
  1. 0

    Laut dieser Beitrag auf ServerFault und dieser blog, scheint es wahrscheinlich, dass es etwas falsch mit Ihrem lokalen Dateien (Korruption, fehlerhafte Konfiguration, etc). Sie sagte, dass Sie versucht, Spülen Sie die Pakete, aber da bin ich mir nicht sicher, was genau Sie versucht haben, würde ich vorschlagen, Spülen alle python-Pakete mit sudo apt purge python*, und installieren Sie Sie als notwendig.

    Es ist erwähnenswert, für niemanden nicht bewusst, dass apt purge komplett deinstallieren eines Pakets, einschließlich der Konfigurationsdateien. So tun Sie das nicht, es sei denn, Sie verstehen die Gefahr.

    • bereits getan hat dies (hätte mehr spezifische oben). leider keine Wirkung. auch, Spül-python entfernt wie Tonnen von anderen Paketen, die brechen könnte, somethign anderswo..
    • Vielleicht versuchen Sie die Schritte aus, die Lösung im ersten link, dann? „Das war verursacht durch eine beschädigte Datei. Ich debsums installiert, und es lief auf alle Dateien. Grepping auf FEHLGESCHLAGEN. Eine der Dateien beschädigt wurde topics.py (/usr/lib/python2.7/pydoc_data/topics.py). Ich übertragen Sie die Datei von einem anderen, funktionierenden Maschine, und neu installiert python2.7“

Schreibe einen Kommentar

Deine E-Mail-Adresse wird nicht veröffentlicht. Erforderliche Felder sind mit * markiert.